package src;

public class main {

    public static void main(String[] args) {
        //first parse our args
        Ice.StringSeqHolder argsHolder = new Ice.StringSeqHolder(args);
        Ice.Properties properties = Ice.Util.createProperties(argsHolder);
        Ice.InitializationData id = new Ice.InitializationData();
        id.properties = properties;

        Ice.Communicator ic = null;
        try {
            System.out.println("Creating a communicator");
            ic = Ice.Util.initialize(id);
            Ice.ObjectPrx base = ic.propertyToProxy("SSLIceDemo.Proxy");
            if (base != null) {
                try {
                    SSLIceDemoPrx icedemo =
                            SSLIceDemoPrxHelper.checkedCast(base);
                    if (icedemo != null) {
                        System.out.println("Result from server is: " + icedemo.getResult());
                    } else {
                        System.out.println("Failed to get Ice Demo Proxy");
                    }
                } catch (Exception e) {
                    System.out.println("Connection Failure: " + e.toString());
                }
            } else {
                System.out.println("Unable to get base proxy");
            }
        } catch (Exception e) {
            System.out.print("Unknown error: " + e);
        } finally {
            if (ic != null) {
                ic.destroy();
            }
        }
    }

}
