package src;

public class main {

    public static void main(String[] args) {
        try {
            IceDemoServer serverRegistrar = new IceDemoServer();
            System.out.println("Starting Ice Demo Server");
            int exitcode = serverRegistrar.main("SSLIceDemo", args);
            System.exit(exitcode);
        } catch (Exception e) {
            System.out.println(e);
        }
    }
}

class IceDemoServer extends Ice.Application {
    public int run(String[] args) {
        try {
            System.out.println("Creating adapter");
            Ice.ObjectAdapter adapter = communicator().createObjectAdapter(
                    "SSLIceDemoAdapter");
            Ice.Properties props = communicator().getProperties();

            System.out.println("Creating identity for SSLIceDemo");
            Ice.Identity myID = Ice.Util.stringToIdentity("SSLIceDemo");
            SSLIceDemoI demo = new SSLIceDemoI();
            adapter.add(demo, myID);

            System.out.println("Activating adapter");
            adapter.activate();
            System.out.println("SSLIceDemo running");

            communicator().waitForShutdown();

            System.out.println("SSLIceDemo server shutting down");
        } catch (Exception e) {
            System.out.println("Unknown exception in SSLIceDemo: " + e);
        }
        return 0;
    }
}

class SSLIceDemoI extends _SSLIceDemoDisp {
    public int getResult(Ice.Current current) {
        return 42;
    }
}
